changed mapping of release_upgrades_policy causes software-properties-kde to set the wrong policy

Bug #944876 reported by Philip Muškovac on 2012-03-02
18
This bug affects 5 people
Affects Status Importance Assigned to Milestone
software-properties (Ubuntu)
High
Unassigned
Oneiric
Undecided
Unassigned
Precise
High
Unassigned

Bug Description

[Impact]
At some point the release upgrade policy mapping has changed which causes this behaviour in the KDE UI:

UI: Update-manager:
Never -> Normal
Normal -> LTS
LTS -> Never

I found this after a user complained that do-release-upgrade -d on oneiric didn't find the precise upgrade which was in fact the user setting the notification policy to LTS by mistake, and software properties storing that as Never internally so this is at least broken since 11.10 and needs an SRU for kubuntu upgrades to work right.

A simple fix for oneiric would be to simply shift the mapping with (i +/- 1) % 3, but that's not much of a proper fix.

[Test Case]
1) open software-properties-kde
2) In the Updates tab change the policy for release upgrades that should be shown
3) open /etc/update-manager/release-upgrades
4) verify that prompt is set to something different than what was set in the GUI
5) install package from precise-proposed
6) repeat steps 1-3
7) verify that prompt is now set to the right value

[Regression Potential]
None, this is already broken and the change only touches the broken part.

ProblemType: BugDistroRelease: Ubuntu 12.04
Package: software-properties-kde 0.82.4 [modified: usr/share/pyshared/softwareproperties/kde/SoftwarePropertiesKDE.py]
ProcVersionSignature: Ubuntu 3.2.0-17.27-generic 3.2.6
Uname: Linux 3.2.0-17-generic x86_64
ApportVersion: 1.93-0ubuntu2
Architecture: amd64
Date: Fri Mar 2 15:59:28 2012
InstallationMedia: Kubuntu 11.10 "Oneiric Ocelot" - Beta amd64 (20111007)
PackageArchitecture: all
ProcEnviron:
 SHELL=/bin/bash
 TERM=screen
 PATH=(custom, user)
 LANG=en_US.UTF-8
 LANGUAGE=en_US.UTF-8SourcePackage: software-properties
UpgradeStatus: No upgrade log present (probably fresh install)

Philip Muškovac (yofel) wrote :
Philip Muškovac (yofel) on 2012-04-25
description: updated
Jonathan Riddell (jr) wrote :

Uploaded to precise-proposed

Jonathan Riddell (jr) wrote :

uploaded to oneiric-proposed awaiting approval

Hello Philip, or anyone else affected,

Accepted into precise-proposed. The package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in software-properties (Ubuntu Precise):
status: New → Fix Committed
Steve Langasek (vorlon) wrote :

Hello Philip, or anyone else affected,

Accepted into oneiric-proposed. The package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in software-properties (Ubuntu Oneiric):
status: New → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package software-properties - 0.81.13.4

---------------
software-properties (0.81.13.4) oneiric-proposed; urgency=low

  * manually shift the policy index to work around wrong upgrade policy being
    set. (LP: #944876)
 -- Jonathan Riddell <email address hidden> Wed, 25 Apr 2012 20:55:20 +0100

Changed in software-properties (Ubuntu Oneiric):
status: Fix Committed → Fix Released
Philip Muškovac (yofel) wrote :

Works fine in oneiric and precise.

tags: added: verification-done
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package software-properties - 0.82.7.1

---------------
software-properties (0.82.7.1) precise-proposed; urgency=low

  * manually shift the policy index to work around wrong upgrade policy being
    set. (LP: #944876)
 -- Philip Muskovac <email address hidden> Wed, 25 Apr 2012 21:11:57 +0200

Changed in software-properties (Ubuntu):
status: Fix Committed → Fix Released
Changed in software-properties (Ubuntu Precise):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers